''' Utility functions related to generl data transformations '''
from typing import Dict, List


def dict_of_list_to_dict(indict: Dict[str, List[str]]) -> Dict[str, str]:
    ''' Convert Dict of list to Dict of single elements
    Parameters
    ----------
    indict: Dict[str, List[str]]
        Input dictionary of lists

    Return
    ------
    outdict: Dict[str, str]
        Output dictionary with modified keys and single element values
    '''
    outdict = {}
    for idx, values in indict.items():
        val_counter = 0
        for current_val in values:
            new_idx = idx + "_" + str(val_counter)
            outdict[new_idx] = current_val
            val_counter += 1
    return outdict
