""" Data storage for positioning parameters """
from typing import List
from dataclasses import dataclass


@dataclass
class PositionParams:
    """ Class for keeping track of parameters for positioning"""
    position_simulated: str
    position_means: List[int]
    position_variances: List[float]
    to_replace: bool
    position_file: str

    def __post_init__(self):
        if self.position_simulated is None:
            self.position_simulated = "uniform"
